Summary: Rootkit scans for rootkits, backdoors and local exploits
Name: rkhunter
Version: 1.3.2
Release: %mkrel 1
Source0: http://downloads.sourceforge.net/rkhunter/%{name}-%{version}.tar.gz
License: GPLv2+
URL: http://www.rootkit.nl/projects/rootkit_hunter.html
Group: System/Configuration/Other
Requires: webfetch
Requires: e2fsprogs
Requires: binutils
Requires: ccp
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
Rootkit scanner is scanning tool to ensure you for about 99.9%% you're
clean of nasty tools. This tool scans for rootkits, backdoors and local
exploits by running tests like:
	- MD5 hash compare
	- Look for default files used by rootkits
	- Wrong file permissions for binaries
	- Look for suspected strings in LKM and KLD modules
	- Look for hidden files
	- Optional scan within plaintext and binary files

%prep
%setup -q 
chmod -R a+r .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_sysconfdir %{buildroot}%_sbindir \
 %{buildroot}%_var/lib/%name/db/i18n  %{buildroot}%_var/lib/%name/scripts \
 %{buildroot}%_var/lib/%name/tmp \
 %{buildroot}%_mandir/man8
install files/%name %{buildroot}%_sbindir/
install -m 644 files/%name.conf %{buildroot}%_sysconfdir
echo "INSTALLDIR=%_var" >> %{buildroot}%_sysconfdir/%name.conf
echo "SCRIPTDIR=%_var/lib/%{name}/scripts" >> %{buildroot}%_sysconfdir/%name.conf
install -m 644 files/*.dat %{buildroot}%_var/lib/%name/db
install -m 644 files/i18n/* %{buildroot}%_var/lib/%name/db/i18n
install -m 754 files/*.{pl,sh} %{buildroot}%_var/lib/%name/scripts
install -m 644 files/%name.8 %{buildroot}%_mandir/man8

%clean
rm -rf %{buildroot}

%post
#fix previous broken < 1.2.8 installs.
ccp --delete --ifexists --set NoOrphans \
 --ignoreopt TMPDIR --ignoreopt DBDIR \
 --oldfile %_sysconfdir/%name.conf \
 --newfile %_sysconfdir/%name.conf.rpmnew

%files
%defattr(-,root,root)
%doc files/CHANGELOG files/README files/WISHLIST
%config(noreplace) %_sysconfdir/%name.conf
%_sbindir/*
%_var/lib/%{name}
%_mandir/man8/*


%changelog
* Tue Mar 04 2008 Guillaume Bedot <littletux@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 178884
- 1.3.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Guillaume Bedot <littletux@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 111089
- added missing i18n files and SCRIPTDIR option

* Tue Nov 20 2007 Adam Williamson <awilliamson@mandriva.com> 1.3.0-1mdv2008.1
+ Revision: 110811
- fix manpage location in tarball
- new release 1.3.0
- small spec clean

* Wed May 23 2007 Guillaume Bedot <littletux@mandriva.org> 1.2.9-1mdv2008.0
+ Revision: 30072
- More adequate config update thanks to ccp.
- 1.2.9 (thankks to lenny) + try to definitely fix #28571 and alike.


* Thu Mar 16 2006 Guillaume Bedot <littletux@zarb.org> 1.2.8-1mdk
- 1.2.8
- avoid duplicated files
- added man page

* Sat Aug 06 2005 Gaetan Lehmann <glehmann@n4.mandriva.com> 1.2.7-1mdk
- complete URL
- use mkrel
- fix config file (reported on expert mailing list)

* Wed May 25 2005 Lenny Cartier <lenny@mandriva.com> 1.2.7-1mdk
- 1.2.7

* Wed May 11 2005 Lenny Cartier <lenny@mandriva.com> 1.2.6-1mdk
- 1.2.6

* Fri Feb 11 2005 Mandrakelinux Team <http://www.mandrakeexpert.com> 1.2.0-1mdk
- New release 1.2.0

* Tue Feb 08 2005 Mandrakelinux Team <http://www.mandrakeexpert.com> 1.1.9-1mdk
- New release 1.1.9

* Mon Aug 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-2mdk
- fixed update script path (Mario R. Pizzolanti)

* Wed Aug 18 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- added missing requires
- New release 1.1.6

* Wed Jun 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- New release 1.1.1

* Fri May 28 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-1mdk
- initial package

